---
app:
  app_name: LeagueClient
  bugsplat:
    debug: league_client_internal_riotgames_com
    public: league_client_riotgames_com
    releasedbg: league_client_internal_riotgames_com
  local_settings_file: Config/LeagueClientSettings.yaml
  log_dir: LeagueClient Logs
  project: LeagueClient
  respawn:
    command: LeagueClient.exe
    display_name: League of Legends
  run_persistent: false
  splash: lol
  telemetry:
    endpoint:
      debug: https://test.ekg.riotgames.com/messages
      public: https://ekg.riotgames.com/messages
      releasedbg: https://ekg.riotgames.com/messages
    event_prefix: riot__rclient__
  ux_helper_name: LeagueClientUxHelper
  ux_name: LeagueClientUx
build:
  branch: '7.2'
  branch-full: LCUReleases/7.2
  code-build-id: 3789661
  content-build-id: 3789565
  game-branch: '7.2'
  game-branch-full: Releases/7.2
  game-data-build-id: 3740667
  patchline: live
default_region: NA
legacy-restart-enabled: true
opt-in-migration-enabled: true
patcher:
  product_refresh_period: 20
  self_update:
    component_id: league_client_sln
    executables:
      app: LeagueClient.exe
      exe: LeagueClient.exe
    files:
      debug:
      - BsSndRpt.exe
      - BugSplatD.dll
      - BugSplatRc.dll
      - concrt140d.dll
      - msvcp140d.dll
      - vcruntime140d.dll
      - api-ms-win-core-console-l1-1-0.dll
      - api-ms-win-core-datetime-l1-1-0.dll
      - api-ms-win-core-debug-l1-1-0.dll
      - api-ms-win-core-errorhandling-l1-1-0.dll
      - api-ms-win-core-file-l1-1-0.dll
      - api-ms-win-core-file-l1-2-0.dll
      - api-ms-win-core-file-l2-1-0.dll
      - api-ms-win-core-handle-l1-1-0.dll
      - api-ms-win-core-heap-l1-1-0.dll
      - api-ms-win-core-interlocked-l1-1-0.dll
      - api-ms-win-core-libraryloader-l1-1-0.dll
      - api-ms-win-core-localization-l1-2-0.dll
      - api-ms-win-core-memory-l1-1-0.dll
      - api-ms-win-core-namedpipe-l1-1-0.dll
      - api-ms-win-core-processenvironment-l1-1-0.dll
      - api-ms-win-core-processthreads-l1-1-0.dll
      - api-ms-win-core-processthreads-l1-1-1.dll
      - api-ms-win-core-profile-l1-1-0.dll
      - api-ms-win-core-rtlsupport-l1-1-0.dll
      - api-ms-win-core-string-l1-1-0.dll
      - api-ms-win-core-synch-l1-1-0.dll
      - api-ms-win-core-synch-l1-2-0.dll
      - api-ms-win-core-sysinfo-l1-1-0.dll
      - api-ms-win-core-timezone-l1-1-0.dll
      - api-ms-win-core-util-l1-1-0.dll
      - api-ms-win-crt-conio-l1-1-0.dll
      - api-ms-win-crt-convert-l1-1-0.dll
      - api-ms-win-crt-environment-l1-1-0.dll
      - api-ms-win-crt-filesystem-l1-1-0.dll
      - api-ms-win-crt-heap-l1-1-0.dll
      - api-ms-win-crt-locale-l1-1-0.dll
      - api-ms-win-crt-math-l1-1-0.dll
      - api-ms-win-crt-multibyte-l1-1-0.dll
      - api-ms-win-crt-private-l1-1-0.dll
      - api-ms-win-crt-process-l1-1-0.dll
      - api-ms-win-crt-runtime-l1-1-0.dll
      - api-ms-win-crt-stdio-l1-1-0.dll
      - api-ms-win-crt-string-l1-1-0.dll
      - api-ms-win-crt-time-l1-1-0.dll
      - api-ms-win-crt-utility-l1-1-0.dll
      - ucrtbased.dll
      - system.yaml
      public:
      - BsSndRpt.exe
      - BugSplat.dll
      - BugSplatRc.dll
      - concrt140.dll
      - msvcp140.dll
      - vcruntime140.dll
      - api-ms-win-core-console-l1-1-0.dll
      - api-ms-win-core-datetime-l1-1-0.dll
      - api-ms-win-core-debug-l1-1-0.dll
      - api-ms-win-core-errorhandling-l1-1-0.dll
      - api-ms-win-core-file-l1-1-0.dll
      - api-ms-win-core-file-l1-2-0.dll
      - api-ms-win-core-file-l2-1-0.dll
      - api-ms-win-core-handle-l1-1-0.dll
      - api-ms-win-core-heap-l1-1-0.dll
      - api-ms-win-core-interlocked-l1-1-0.dll
      - api-ms-win-core-libraryloader-l1-1-0.dll
      - api-ms-win-core-localization-l1-2-0.dll
      - api-ms-win-core-memory-l1-1-0.dll
      - api-ms-win-core-namedpipe-l1-1-0.dll
      - api-ms-win-core-processenvironment-l1-1-0.dll
      - api-ms-win-core-processthreads-l1-1-0.dll
      - api-ms-win-core-processthreads-l1-1-1.dll
      - api-ms-win-core-profile-l1-1-0.dll
      - api-ms-win-core-rtlsupport-l1-1-0.dll
      - api-ms-win-core-string-l1-1-0.dll
      - api-ms-win-core-synch-l1-1-0.dll
      - api-ms-win-core-synch-l1-2-0.dll
      - api-ms-win-core-sysinfo-l1-1-0.dll
      - api-ms-win-core-timezone-l1-1-0.dll
      - api-ms-win-core-util-l1-1-0.dll
      - api-ms-win-crt-conio-l1-1-0.dll
      - api-ms-win-crt-convert-l1-1-0.dll
      - api-ms-win-crt-environment-l1-1-0.dll
      - api-ms-win-crt-filesystem-l1-1-0.dll
      - api-ms-win-crt-heap-l1-1-0.dll
      - api-ms-win-crt-locale-l1-1-0.dll
      - api-ms-win-crt-math-l1-1-0.dll
      - api-ms-win-crt-multibyte-l1-1-0.dll
      - api-ms-win-crt-private-l1-1-0.dll
      - api-ms-win-crt-process-l1-1-0.dll
      - api-ms-win-crt-runtime-l1-1-0.dll
      - api-ms-win-crt-stdio-l1-1-0.dll
      - api-ms-win-crt-string-l1-1-0.dll
      - api-ms-win-crt-time-l1-1-0.dll
      - api-ms-win-crt-utility-l1-1-0.dll
      - ucrtbase.dll
      - system.yaml
      releasedbg:
      - BsSndRpt.exe
      - BugSplat.dll
      - BugSplatRc.dll
      - concrt140.dll
      - msvcp140.dll
      - vcruntime140.dll
      - api-ms-win-core-console-l1-1-0.dll
      - api-ms-win-core-datetime-l1-1-0.dll
      - api-ms-win-core-debug-l1-1-0.dll
      - api-ms-win-core-errorhandling-l1-1-0.dll
      - api-ms-win-core-file-l1-1-0.dll
      - api-ms-win-core-file-l1-2-0.dll
      - api-ms-win-core-file-l2-1-0.dll
      - api-ms-win-core-handle-l1-1-0.dll
      - api-ms-win-core-heap-l1-1-0.dll
      - api-ms-win-core-interlocked-l1-1-0.dll
      - api-ms-win-core-libraryloader-l1-1-0.dll
      - api-ms-win-core-localization-l1-2-0.dll
      - api-ms-win-core-memory-l1-1-0.dll
      - api-ms-win-core-namedpipe-l1-1-0.dll
      - api-ms-win-core-processenvironment-l1-1-0.dll
      - api-ms-win-core-processthreads-l1-1-0.dll
      - api-ms-win-core-processthreads-l1-1-1.dll
      - api-ms-win-core-profile-l1-1-0.dll
      - api-ms-win-core-rtlsupport-l1-1-0.dll
      - api-ms-win-core-string-l1-1-0.dll
      - api-ms-win-core-synch-l1-1-0.dll
      - api-ms-win-core-synch-l1-2-0.dll
      - api-ms-win-core-sysinfo-l1-1-0.dll
      - api-ms-win-core-timezone-l1-1-0.dll
      - api-ms-win-core-util-l1-1-0.dll
      - api-ms-win-crt-conio-l1-1-0.dll
      - api-ms-win-crt-convert-l1-1-0.dll
      - api-ms-win-crt-environment-l1-1-0.dll
      - api-ms-win-crt-filesystem-l1-1-0.dll
      - api-ms-win-crt-heap-l1-1-0.dll
      - api-ms-win-crt-locale-l1-1-0.dll
      - api-ms-win-crt-math-l1-1-0.dll
      - api-ms-win-crt-multibyte-l1-1-0.dll
      - api-ms-win-crt-private-l1-1-0.dll
      - api-ms-win-crt-process-l1-1-0.dll
      - api-ms-win-crt-runtime-l1-1-0.dll
      - api-ms-win-crt-stdio-l1-1-0.dll
      - api-ms-win-crt-string-l1-1-0.dll
      - api-ms-win-crt-time-l1-1-0.dll
      - api-ms-win-crt-utility-l1-1-0.dll
      - ucrtbase.dll
      - system.yaml
    icon_version: 2
player_bug_report_url: https://pbr.leagueoflegends.com/{webRegion}/{locale}/bugReport/create?app_name=LeagueClient&app_version={appVersion}&system_os={systemOS}&user_agent={userAgent}
products:
- id: league_of_legends
  launcher:
    component_id: league_client_sln
    component_type: solution
    executables:
      app: LeagueClient.exe
      exe: LeagueClient.exe
    installer_project: league_client
  patcher:
    components:
    - copy_to_solution: false
      history: keep
      hostname: l3cdn.riotgames.com
      id: league_client_sln
      locale: en_US
      region: NA
      remote_path: /releases/live
      type: solution
      use_tls: true
    - copy_to_solution: true
      history: none
      hostname: l3cdn.riotgames.com
      id: lol_game_client_sln
      locale: en_US
      region: NA
      remote_path: /releases/live
      type: solution
      use_tls: true
    id: league_of_legends
region_data:
  BR:
    available_locales:
    - pt_BR
    default_locale: pt_BR
    rso_platform_id: BR1
    servers:
      chat:
        allow_self_signed_cert: false
        chat_host: chat.br.lol.riotgames.com
        chat_port: 5223
      lcds:
        lcds_host: prod.br.lol.riotgames.com
        lcds_port: 2099
        login_queue_url: https://lqak.br.lol.riotgames.com/login-queue/rest/queues/lol
        use_tls: true
      license_agreement_urls:
        eula: http://br.leagueoflegends.com/{language}/legal/eula
        terms_of_use: http://br.leagueoflegends.com/{language}/legal/termsofuse
      payments:
        payments_host: https://plstore.br.lol.riotgames.com
      rms:
        rms_heartbeat_interval_seconds: 60
        rms_url: wss://riot.edge.rms.si.riotgames.com:443
      service_status:
        api_url: http://status.leagueoflegends.com/shards/br/synopsis
        human_readable_status_url: http://status.leagueoflegends.com/#br
      store:
        store_url: https://store.br.lol.riotgames.com
    web_region: br
  EUNE:
    available_locales:
    - en_GB
    - cs_CZ
    - el_GR
    - hu_HU
    - pl_PL
    - ro_RO
    default_locale: en_GB
    rso_platform_id: EUN1
    servers:
      chat:
        allow_self_signed_cert: false
        chat_host: chat.eun1.lol.riotgames.com
        chat_port: 5223
      lcds:
        lcds_host: prod.eun1.lol.riotgames.com
        lcds_port: 2099
        login_queue_url: https://lqak.eun1.lol.riotgames.com/login-queue/rest/queues/lol
        use_tls: true
      license_agreement_urls:
        eula: http://eune.leagueoflegends.com/{language}/legal/eula
        terms_of_use: http://eune.leagueoflegends.com/{language}/legal/termsofuse
      payments:
        payments_host: https://plstore.eun1.lol.riotgames.com
      rms:
        rms_heartbeat_interval_seconds: 60
        rms_url: wss://riot.edge.rms.si.riotgames.com:443
      service_status:
        api_url: http://status.leagueoflegends.com/shards/eune/synopsis
        human_readable_status_url: http://status.leagueoflegends.com/#eune
      store:
        store_url: https://store.eun1.lol.riotgames.com
    web_region: eune
  EUW:
    available_locales:
    - en_GB
    - de_DE
    - es_ES
    - fr_FR
    - it_IT
    default_locale: en_GB
    rso_platform_id: EUW1
    servers:
      chat:
        allow_self_signed_cert: false
        chat_host: chat.euw1.lol.riotgames.com
        chat_port: 5223
      lcds:
        lcds_host: prod.euw1.lol.riotgames.com
        lcds_port: 2099
        login_queue_url: https://lqak.euw1.lol.riotgames.com/login-queue/rest/queues/lol
        use_tls: true
      license_agreement_urls:
        eula: http://euw.leagueoflegends.com/{language}/legal/eula
        terms_of_use: http://euw.leagueoflegends.com/{language}/legal/termsofuse
      payments:
        payments_host: https://plstore.euw1.lol.riotgames.com
      rms:
        rms_heartbeat_interval_seconds: 60
        rms_url: wss://riot.edge.rms.si.riotgames.com:443
      service_status:
        api_url: http://status.leagueoflegends.com/shards/euw/synopsis
        human_readable_status_url: http://status.leagueoflegends.com/#euw
      store:
        store_url: https://store.euw1.lol.riotgames.com
    web_region: euw
  JP:
    available_locales:
    - ja_JP
    default_locale: ja_JP
    rso_platform_id: JP1
    servers:
      chat:
        allow_self_signed_cert: false
        chat_host: chat.jp1.lol.riotgames.com
        chat_port: 5223
      lcds:
        lcds_host: prod.jp1.lol.riotgames.com
        lcds_port: 2099
        login_queue_url: https://lq.jp1.lol.riotgames.jp/login-queue/rest/queues/lol
        use_tls: true
      license_agreement_urls:
        eula: http://jp.leagueoflegends.com/{language}/legal/eula
        terms_of_use: http://jp.leagueoflegends.com/{language}/legal/termsofuse
      payments:
        payments_host: https://plstore.jp1.lol.riotgames.com
      rms:
        rms_heartbeat_interval_seconds: 60
        rms_url: wss://riot.edge.rms.si.riotgames.com:443
      service_status:
        api_url: http://status.leagueoflegends.com/shards/jp/synopsis
        human_readable_status_url: http://status.leagueoflegends.com/#jp
      store:
        store_url: https://store.jp1.lol.riotgames.com
    web_region: jp
  LA1:
    available_locales:
    - es_MX
    default_locale: es_MX
    rso_platform_id: LA1
    servers:
      chat:
        allow_self_signed_cert: false
        chat_host: chat.la1.lol.riotgames.com
        chat_port: 5223
      lcds:
        lcds_host: prod.la1.lol.riotgames.com
        lcds_port: 2099
        login_queue_url: https://lqak.la1.lol.riotgames.com/login-queue/rest/queues/lol
        use_tls: true
      license_agreement_urls:
        eula: http://lan.leagueoflegends.com/{language}/legal/eula
        terms_of_use: http://lan.leagueoflegends.com/{language}/legal/termsofuse
      payments:
        payments_host: https://plstore2.la1.lol.riotgames.com
      rms:
        rms_heartbeat_interval_seconds: 60
        rms_url: wss://riot.edge.rms.si.riotgames.com:443
      service_status:
        api_url: http://status.leagueoflegends.com/shards/lan/synopsis
        human_readable_status_url: http://status.leagueoflegends.com/#lan
      store:
        store_url: https://store.la1.lol.riotgames.com
    web_region: lan
  LA2:
    available_locales:
    - es_MX
    default_locale: es_MX
    rso_platform_id: LA2
    servers:
      chat:
        allow_self_signed_cert: false
        chat_host: chat.la2.lol.riotgames.com
        chat_port: 5223
      lcds:
        lcds_host: prod.la2.lol.riotgames.com
        lcds_port: 2099
        login_queue_url: https://lqak.la2.lol.riotgames.com/login-queue/rest/queues/lol
        use_tls: true
      license_agreement_urls:
        eula: http://las.leagueoflegends.com/{language}/legal/eula
        terms_of_use: http://las.leagueoflegends.com/{language}/legal/termsofuse
      payments:
        payments_host: https://plstore2.la2.lol.riotgames.com
      rms:
        rms_heartbeat_interval_seconds: 60
        rms_url: wss://riot.edge.rms.si.riotgames.com:443
      service_status:
        api_url: http://status.leagueoflegends.com/shards/las/synopsis
        human_readable_status_url: http://status.leagueoflegends.com/#las
      store:
        store_url: https://store.la2.lol.riotgames.com
    web_region: las
  NA:
    available_locales:
    - en_US
    default_locale: en_US
    rso_platform_id: NA1
    servers:
      chat:
        allow_self_signed_cert: false
        chat_host: chat.na2.lol.riotgames.com
        chat_port: 5223
      lcds:
        lcds_host: prod.na2.lol.riotgames.com
        lcds_port: 2099
        login_queue_url: https://lqak.na2.lol.riotgames.com/login-queue/rest/queues/lol
        use_tls: true
      license_agreement_urls:
        eula: http://na.leagueoflegends.com/{language}/legal/eula
        terms_of_use: http://na.leagueoflegends.com/{language}/legal/termsofuse
      payments:
        payments_host: https://plstore2.na.lol.riotgames.com
      rms:
        rms_heartbeat_interval_seconds: 60
        rms_url: wss://riot.edge.rms.si.riotgames.com:443
      service_status:
        api_url: http://status.leagueoflegends.com/shards/na/synopsis
        human_readable_status_url: http://status.leagueoflegends.com/#na
      store:
        store_url: https://store.na2.lol.riotgames.com
    web_region: na
  OC1:
    available_locales:
    - en_AU
    default_locale: en_AU
    rso_platform_id: OC1
    servers:
      chat:
        allow_self_signed_cert: false
        chat_host: chat.oc1.lol.riotgames.com
        chat_port: 5223
      lcds:
        lcds_host: prod.oc1.lol.riotgames.com
        lcds_port: 2099
        login_queue_url: https://lqak.oc1.lol.riotgames.com/login-queue/rest/queues/lol
        use_tls: true
      license_agreement_urls:
        eula: http://oce.leagueoflegends.com/{language}/legal/eula
        terms_of_use: http://oce.leagueoflegends.com/{language}/legal/termsofuse
      payments:
        payments_host: https://plstore.oc1.lol.riotgames.com
      rms:
        rms_heartbeat_interval_seconds: 60
        rms_url: wss://riot.edge.rms.si.riotgames.com:443
      service_status:
        api_url: http://status.leagueoflegends.com/shards/oce/synopsis
        human_readable_status_url: http://status.leagueoflegends.com/#oce
      store:
        store_url: https://store.oc1.lol.riotgames.com
    web_region: oce
  RU:
    available_locales:
    - ru_RU
    default_locale: ru_RU
    rso_platform_id: RU
    servers:
      chat:
        allow_self_signed_cert: false
        chat_host: chat.ru.lol.riotgames.com
        chat_port: 5223
      lcds:
        lcds_host: prod.ru.lol.riotgames.com
        lcds_port: 2099
        login_queue_url: https://lqak.ru.lol.riotgames.com/login-queue/rest/queues/lol
        use_tls: true
      license_agreement_urls:
        eula: http://ru.leagueoflegends.com/{language}/legal/eula
        terms_of_use: http://ru.leagueoflegends.com/{language}/legal/termsofuse
      payments:
        payments_host: https://plstore.ru.lol.riotgames.com
      rms:
        rms_heartbeat_interval_seconds: 60
        rms_url: wss://riot.edge.rms.si.riotgames.com:443
      service_status:
        api_url: http://status.leagueoflegends.com/shards/ru/synopsis
        human_readable_status_url: http://status.leagueoflegends.com/#ru
      store:
        store_url: https://store.ru.lol.riotgames.com
    web_region: ru
  TEST:
    available_locales:
    - en_US
    default_locale: en_US
    is_hidden: true
    rso_platform_id: NA1
    servers:
      chat:
        allow_self_signed_cert: false
        chat_host: chat.na2.lol.riotgames.com
        chat_port: 5223
      lcds:
        lcds_host: prod.na2.lol.riotgames.com
        lcds_port: 2099
        login_queue_url: https://lqak.na2.lol.riotgames.com/login-queue/rest/queues/lol
        use_tls: true
      license_agreement_urls:
        eula: http://na.leagueoflegends.com/{language}/legal/eula
        terms_of_use: http://na.leagueoflegends.com/{language}/legal/termsofuse
      payments:
        payments_host: https://plstore2.na.lol.riotgames.com
      rms:
        rms_heartbeat_interval_seconds: 60
        rms_url: wss://riot.edge.rms.si.riotgames.com:443
      service_status:
        api_url: http://status.leagueoflegends.com/shards/na/synopsis
        human_readable_status_url: http://status.leagueoflegends.com/#na
      store:
        store_url: https://store.na2.lol.riotgames.com
    web_region: na
  TR:
    available_locales:
    - tr_TR
    default_locale: tr_TR
    rso_platform_id: TR1
    servers:
      chat:
        allow_self_signed_cert: false
        chat_host: chat.tr.lol.riotgames.com
        chat_port: 5223
      lcds:
        lcds_host: prod.tr.lol.riotgames.com
        lcds_port: 2099
        login_queue_url: https://lqak.tr.lol.riotgames.com/login-queue/rest/queues/lol
        use_tls: true
      license_agreement_urls:
        eula: http://tr.leagueoflegends.com/{language}/legal/eula
        terms_of_use: http://tr.leagueoflegends.com/{language}/legal/termsofuse
      payments:
        payments_host: https://plstore.tr.lol.riotgames.com
      rms:
        rms_heartbeat_interval_seconds: 60
        rms_url: wss://riot.edge.rms.si.riotgames.com:443
      service_status:
        api_url: http://status.leagueoflegends.com/shards/tr/synopsis
        human_readable_status_url: http://status.leagueoflegends.com/#tr
      store:
        store_url: https://store.tr.lol.riotgames.com
    web_region: tr
rso:
  kount:
    collector: prod02.kaxsdc.com
    merchant: '108000'
  token: eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0ODgxNTMyNjMsInN1YiI6ImxvbCIsImlzcyI6ImxvbCIsImF1ZCI6Imh0dHBzOlwvXC9hdXRoLnJpb3RnYW1lcy5jb21cL3Rva2VuIiwianRpIjoiZDczN2Y3OGMtYmEzNS00YzllLWExZDEtNTJhMzViZmQ0ZTBmIiwiaWF0IjoxNDgwMzc3MjYzfQ.Q3O8_3NJVbVbRKSAJSc7dx6JpUUSe0SSGkQ-x6OeI5hzwk_k4cSGg5CKSujW6pe6vagGrqoLJI-KFXtkw5s_9R1a9lS1wE8rZPYQ8dXnv-nglWr2c7D0J6Lcu1whbXBnSWu5xeEzEHFFdsX4cW75C0A2oUIo_1uIjcTrupHTQayGTp03PLvhSLU-UEkOsqFXBt--dAI5mRFhfDf8GNIxbjsYdUxsJXcaoHd6OIhknDzFRs9iMBDr6hpWWreUWtzJ04L7BUalzmcp8T0DTR7BHnX_kYDWAu3IwcgAwAfQmnnUeB6ulRHbDqkp96CpGbztrzVRwBBX7OXgHxd0fRV5ng
